package ps3;

import java.io.File;
import java.io.FileFilter;

import org.apache.bcel.classfile.JavaClass;

/**
 * @author 6170-student
 */
public class Utility {

	
	static void iae(String msg) { throw new IllegalArgumentException(msg); }
	
	/**
	 * @return an array of class files
	 */
	static File[] listClassFiles(String fileOrDirName) {
		final File f = new File(fileOrDirName);
		if (!f.exists()) {
			iae("the argument did not name an existant file or directory: " + f);
		}
		
		if (f.isDirectory()) {
			File[] classFiles = f.listFiles(new FileFilter() {
				public boolean accept(File pathname) {
					return pathname.getName().endsWith(".class");
				}
				});
			if (classFiles.length == 0) {
				iae("no class files found in directory: " + f);
			}
			return classFiles;
		} else {
			if (!f.getName().endsWith(".class")) {
				iae("argument named a file that is not a class file: " + f);
			}
			return new File[] {f};
		}
	
	}

	static String classShortName(String name) {
		return name.substring(name.lastIndexOf('.')+1);
	}
	
	static String classShortName(JavaClass clazz) {
		return clazz.getClassName().substring(clazz.getPackageName().length()+1);
	}
	static void println(Object o) {System.out.println(o);}

}
